Package be.fgov.ehealth.addressbook.protocol.v1

# Class GetOrganizationContactInfoRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.addressbook.protocol.v1.GetOrganizationContactInfoRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class GetOrganizationContactInfoRequest extends RequestType implements Serializable
Find contact data for a specific healthcare organization

Java class for GetOrganizationContactInfoRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetOrganizationContactInfoRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <choice>
               <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
               <element name="CBE" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
               <element name="EHP" type="{urn:be:fgov:ehealth:addressbook:core:v1}EnterpriseType"/>
             </choice>
             <sequence minOccurs="0">
               <element name="InstitutionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetOrganizationContactInfoRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCBE()`
  KBO/CBE of the institution
  `String`
  `getEHP()`
  EHP identifier of the institution
  `String`
  `getInstitutionType()`
  Type / Quality of the institution
  `String`
  `getNIHII()`
  INAMI/RIZIV of the institution
  `void`
  `setCBE(String value)`
  Sets the value of the cbe property.
  `void`
  `setEHP(String value)`
  Sets the value of the ehp property.
  `void`
  `setInstitutionType(String value)`
  Sets the value of the institutionType property.
  `void`
  `setNIHII(String value)`
  Sets the value of the nihii property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetOrganizationContactInfoRequest

    public GetOrganizationContactInfoRequest()

- ## Method Details

  - ### getEHP

    public String getEHP()
    EHP identifier of the institution
    Returns:
      possible object is `String`

  - ### setEHP

    public void setEHP(String value)
    Sets the value of the ehp property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEHP()`

  - ### getCBE

    public String getCBE()
    KBO/CBE of the institution
    Returns:
      possible object is `String`

  - ### setCBE

    public void setCBE(String value)
    Sets the value of the cbe property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCBE()`

  - ### getNIHII

    public String getNIHII()
    INAMI/RIZIV of the institution
    Returns:
      possible object is `String`

  - ### setNIHII

    public void setNIHII(String value)
    Sets the value of the nihii property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNIHII()`

  - ### getInstitutionType

    public String getInstitutionType()
    Type / Quality of the institution
    Returns:
      possible object is `String`

  - ### setInstitutionType

    public void setInstitutionType(String value)
    Sets the value of the institutionType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInstitutionType()`